Delete a specified item
Requests
HTTP request
DELETE /apis/auth.alauda.io/v1/projects/{name}
delete a Project
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | True | name of the Project |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| dryRun | string | False | When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed |
| gracePeriodSeconds | integer | False | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. |
| orphanDependents | boolean | False | Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both. |
| propagationPolicy | string | False | Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground. |
| pretty | string | False | If 'true', then the output is pretty printed. |
Request body
Content-Type
application/json,
application/yaml
Sample request
DeleteOptions may be provided when deleting an API object.
{
"apiVersion": "",
"dryRun": [
""
],
"gracePeriodSeconds": 1,
"kind": "",
"orphanDependents": false,
"preconditions": {
"resourceVersion": "",
"uid": ""
},
"propagationPolicy": ""
}Parmeters
| Name | Type | Required | Description |
|---|---|---|---|
| apiVersion | string | False | See common parameters |
| dryRun | array | False |
When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
Path: dryRun |
| dryRun[] | string | False |
Path: dryRun[] |
| gracePeriodSeconds | integer (int64) | False |
The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.
Path: gracePeriodSeconds |
| kind | string | False | See common parameters |
| orphanDependents | boolean | False |
Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.
Path: orphanDependents |
| preconditions | object | False |
Preconditions must be fulfilled before an operation (update, delete, etc.) is carried out.
Path: preconditions |
| preconditions.resourceVersion | string | False |
Specifies the target ResourceVersion
Path: preconditions.resourceVersion |
| preconditions.uid | string | False |
Specifies the target UID.
Path: preconditions.uid |
| propagationPolicy | string | False |
Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.
Path: propagationPolicy |
Responses
Content-Type
application/json,
application/yaml
Status code: 200
OK
Sample response
Status is a return value for calls that don't return other objects.
{
"apiVersion": "",
"code": 1,
"details": {
"causes": [
{
"field": "",
"message": "",
"reason": ""
}
],
"group": "",
"kind": "",
"name": "",
"retryAfterSeconds": 1,
"uid": ""
},
"kind": "",
"message": "",
"metadata": {
"continue": "",
"remainingItemCount": 1,
"resourceVersion": "",
"selfLink": ""
},
"reason": "",
"status": ""
}Parameters
| Name | Type | Description |
|---|---|---|
| apiVersion | string | See common parameters |
| code | integer (int32) |
Suggested HTTP return code for this status, 0 if not set.
Path: code |
| details | object |
StatusDetails is a set of additional properties that MAY be set by the server to provide additional information about a response. The Reason field of a Status object defines what attributes will be set. Clients must ignore fields that do not match the defined type of each attribute, and should assume that any attribute may be empty, invalid, or under defined.
Path: details |
| details.causes | array |
The Causes array includes more details associated with the StatusReason failure. Not all StatusReasons may provide detailed causes.
Path: details.causes |
| details.causes[] | object |
StatusCause provides more information about an api.Status failure, including cases when multiple errors are encountered.
Path: details.causes[] |
| causes[].field | string |
The field of the resource that has caused this error, as named by its JSON serialization. May include dot and postfix notation for nested attributes. Arrays are zero-indexed. Fields may appear more than once in an array of causes due to fields having multiple errors. Optional.
Examples:
"name" - the field "name" on the current resource
"items[0].name" - the field "name" on the first array entry in "items"
Path: details.causes[].field |
| causes[].message | string |
A human-readable description of the cause of the error. This field may be presented as-is to a reader.
Path: details.causes[].message |
| causes[].reason | string |
A machine-readable description of the cause of the error. If this value is empty there is no information available.
Path: details.causes[].reason |
| details.group | string |
The group attribute of the resource associated with the status StatusReason.
Path: details.group |
| details.kind | string |
The kind attribute of the resource associated with the status StatusReason. On some operations may differ from the requested resource Kind. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
Path: details.kind |
| details.name | string |
The name attribute of the resource associated with the status StatusReason (when there is a single name which can be described).
Path: details.name |
| details.retryAfterSeconds | integer (int32) |
If specified, the time in seconds before the operation should be retried. Some errors may indicate the client must take an alternate action - for those errors this field may indicate how long to wait before taking the alternate action.
Path: details.retryAfterSeconds |
| details.uid | string |
UID of the resource. (when there is a single resource which can be described). More info: http://kubernetes.io/docs/user-guide/identifiers#uids
Path: details.uid |
| kind | string | See common parameters |
| message | string |
A human-readable description of the status of this operation.
Path: message |
| metadata | object | See common parameters |
| reason | string |
A machine-readable description of why this operation is in the "Failure" status. If this value is empty there is no information available. A Reason clarifies an HTTP status code but does not override it.
Path: reason |
| status | string |
Status of the operation. One of: "Success" or "Failure". More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status
Path: status |